diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index a13e07a..8376b47 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -34643,6 +34643,41 @@ searchCurrentEnv(x,currentEnv) ==
 
 \end{chunk}
 
+\defun{next-lines-show}{next-lines-show}
+\uses{next-lines-show}{boot-line-stack}
+\begin{chunk}{defun next-lines-show}
+(defun next-lines-show ()
+  (declare (special boot-line-stack))
+  (and boot-line-stack (format t "Currently preparsed lines are:~%~%"))
+  (mapcar #'(lambda (line)
+              (format t "~&~5D> ~A~%" (car line) (cdr Line)))
+          boot-line-stack))
+
+\end{chunk}
+
+\defun{token-stack-show}{token-stack-show}
+\calls{token-stack-show}{token-type}
+\uses{token-stack-show}{valid-tokens}
+\uses{token-stack-show}{current-token}
+\uses{token-stack-show}{next-token}
+\uses{token-stack-show}{prior-token}
+\begin{chunk}{defun token-stack-show}
+(defun token-stack-show ()
+  (if (= valid-tokens 0) 
+   (format t "~%There are no valid tokens.~%")
+   (format t "~%The number of valid tokens is ~S.~%" valid-tokens))
+  (when (> valid-tokens 0)
+   (format t "The current token is~%")
+   (describe current-token))
+  (when (> valid-tokens 1)
+   (format t "The next token is~%")
+   (describe next-token))
+  (when (token-type prior-token)
+   (format t "The prior token was~%")
+   (describe prior-token)))
+
+\end{chunk}
+
 \defun{ioclear}{ioclear}
 The IO state manipulation routines assume that
 \begin{itemize}
@@ -40391,6 +40426,7 @@ This needs to work off the internal exposure list, not the file.
 \getchunk{defun nextInterpreterFrame}
 \getchunk{defun nextline}
 \getchunk{defun next-lines-clear}
+\getchunk{defun next-lines-show}
 \getchunk{defun npAdd}
 \getchunk{defun npADD}
 \getchunk{defun npAmpersand}
@@ -41024,6 +41060,7 @@ This needs to work off the internal exposure list, not the file.
 \getchunk{defun thisPosIsLess}
 \getchunk{defun toFile?}
 \getchunk{defun tokConstruct}
+\getchunk{defun token-stack-show}
 \getchunk{defun tokPosn}
 \getchunk{defun tokTran}
 \getchunk{defun tokType}
diff --git a/changelog b/changelog
index bfbb7ed..106664f 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20110504 tpd src/axiom-website/patches.html 20110504.01.tpd.patch
+20110504 tpd src/interp/parsing.lisp treeshake interpreter
+20110504 tpd books/bookvol5 treeshake interpreter
 20110503 tpd src/axiom-website/patches.html 20110503.01.tpd.patch
 20110503 tpd src/interp/parsing.lisp treeshake interpreter
 20110503 tpd books/bookvol5 treeshake interpreter
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 9d03be3..cbc3550 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3464,5 +3464,7 @@ src/axiom-websilte/download.html add opensuse mar2011<br/>
 src/input/erf.input add examples of erf integration<br/>
 <a href="patches/20110503.01.tpd.patch">20110503.01.tpd.patch</a>
 books/bookvol5 treeshake interpreter<br/>
+<a href="patches/20110504.01.tpd.patch">20110504.01.tpd.patch</a>
+books/bookvol5 treeshake interpreter<br/>
  </body>
 </html>
diff --git a/src/interp/parsing.lisp.pamphlet b/src/interp/parsing.lisp.pamphlet
index 4c1a8b4..034eaef 100644
--- a/src/interp/parsing.lisp.pamphlet
+++ b/src/interp/parsing.lisp.pamphlet
@@ -48,20 +48,6 @@ classes of tokens, by type, or by type and symbol.  The current and next tokens
 can be shoved back on the input stream (to the current line) with Unget-Tokens.
 \begin{chunk}{*}
 
-(defun token-stack-show ()
-  (if (= Valid-Tokens 0) 
-   (format t "~%There are no valid tokens.~%")
-   (format t "~%The number of valid tokens is ~S.~%" Valid-Tokens))
-  (when (> Valid-Tokens 0)
-   (format t "The current token is~%")
-   (describe current-token))
-  (when (> Valid-Tokens 1)
-   (format t "The next token is~%")
-   (describe next-token))
-  (when (token-type prior-token)
-   (format t "The prior token was~%")
-   (describe prior-token)))
-
 (defmacro token-stack-clear ()
  `(progn 
    (setq valid-tokens 0)
@@ -357,33 +343,14 @@ top
    (mdeftrace (print x) (princ " --> ") (print u) (/mdef u))
    ((/mdef u)))))
 
-(defun trargprint (l) (mapc #'(lambda (x) (princ " / ") (prin1 x)) l))
-
-(defun trblanks (n) (do ((i 1 (1+ i))) ((> i n)) (princ " ")))
-
 \end{chunk}
 \section{Routines for inspecting and resetting total I/O system state}
 
 bootlex
 \begin{chunk}{*}
 
-(defun Next-Lines-Show ()
-  (and Boot-Line-Stack (format t "Currently preparsed lines are:~%~%"))
-  (mapcar #'(lambda (line)
-              (format t "~&~5D> ~A~%" (car line) (cdr Line)))
-          Boot-Line-Stack))
-
 ; *** 1. BOOT file handling
 
-;(defmacro test (x &rest y)
-;  `(progn
-;     (setq spaderrorstream t)
-;     (in-boot)
-;     (initialize-preparse *terminal-io*)
-;     (,(intern (strconc "PARSE-" x)) . ,y)))
-
-;(defun |oldParserAutoloadOnceTrigger| () nil)
-
 ;; note that this is no longer called or used. Boot has been removed.
 (defun boot (&optional
               (*boot-input-file* nil)
